Skip to main content
POST
Add a block

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

page_ref
string
required

Page slug or encoded page id

Body

type
enum<string>
required
Available options:
heading,
text,
stat,
chart,
table,
pages
config
object
table_id
string
view_id
string
after
string

Insert after this block id. Omit both to append.

before
string

Insert before this block id.

Response

200 - application/json
id
string
required
Example:

"block_5Fb7…"

page_id
string
required
Example:

"page_5Fb7…"

type
enum<string>
required
Available options:
heading,
text,
stat,
chart,
table,
pages
config
object
required
table_id
string | null
required

Source table for data blocks. Null when the table was deleted.

view_id
string | null
required

Embedded view for table blocks. Null when the view was deleted.

position
string
required

Fractional order within the page.

created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required